package dionarap;

/**
 * Dieses Enum beschreibt den Spiel-Status.<br>
 * - <code>game</code>, das Spiel laeuft<br>
 * - <code>gameover</code>, der Spieler hat verloren<br>
 * - <code>gamewon</code>, der Spieler hat gewonnen<br>
 * 
 * @author Thomas Merkel
 * @author Rainer Hihn
 * @version 1.4
 */
public enum GameStatus {
	/** Spiel laeuft */
	game, 
	
	/** Spieler hat verloren */
	gameover, 
	
	/** Spieler hat gewonnen */
	gamewon ;
}
