package dionarap;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;

import de.fhwgt.dionarap.controller.DionaRapController;

/**
 * Listener zum Bedienen der Waffe (schiessen)
 * 
 * @author Thomas Merkel
 * @author Rainer Hihn
 * @version 1.4
 */
public class ListenerWaffe implements ActionListener {

	@Override
	public void actionPerformed(ActionEvent e) {
		JButton source = (JButton)e.getSource();
		Hauptfenster hf = (Hauptfenster)(source.getTopLevelAncestor().getParent());
		
		DionaRapController controller = hf.getController();
		controller.shoot();
	}
}
